Lightning vs Thunderbird 2 64bit on Mandriva 2008.0 - Mandriva

This is a discussion on Lightning vs Thunderbird 2 64bit on Mandriva 2008.0 - Mandriva ; Hello, I'm trying to install Lightning extension for Thunderbird but I've the error message : "Lightning" could not be installed because it is not compatible with your Thunderbird build type (Linux_x86_64-gcc3). Please contact the author of this item about the ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Lightning vs Thunderbird 2 64bit on Mandriva 2008.0

  1. Lightning vs Thunderbird 2 64bit on Mandriva 2008.0

    Hello,

    I'm trying to install Lightning extension for Thunderbird but I've the
    error message :
    "Lightning" could not be installed because it is not compatible with
    your Thunderbird build type (Linux_x86_64-gcc3). Please contact the
    author of this item about the problem.

    I've tried many user-compiled xpi for amd64 but no one works...
    I've also tried to compile myself the xpi
    (http://blog.crox.net/archives/28-Lig...nux-amd64.html)
    without success...

    I'm using Thunderbird 2.0.0.12 (20080306) on Mandriva 2008.0 (64 bits)
    on a Toshiba Satellite P200 (Centrino Core 2 Duo).

    If someone has the solution...

    thanks for your help,


    Fabien

  2. Re: Lightning vs Thunderbird 2 64bit on Mandriva 2008.0

    none wrote:
    > Hello,
    >
    > I'm trying to install Lightning extension for Thunderbird but I've the
    > error message :
    > "Lightning" could not be installed because it is not compatible with
    > your Thunderbird build type (Linux_x86_64-gcc3). Please contact the
    > author of this item about the problem.


    There are two parts to the "build type," and Lightning does not
    like one or both.

    If the problem is Linux_x86_64, then Lightning will not work with
    your AMD 64-bit system so long as you run a 64-bit OS and 64-bit
    Thunderbird. You might finesse this problem by running a 32-bit
    Thunderbird and installing a 32-bit Lightning extension.
    Running a 32-bit OS and 32-bit Thunderbird should cure this.

    If the problem is use of gcc3 (current Mandriva kernels are built
    with gcc4 (gcc-4.2.2 on my machine), you will have to compile
    the extension from source code using the same compiler used to
    compile your kernel. This is not guaranteed to work, but it
    probably would.

    Cheers!

    jim b.

    --
    UNIX is not user-unfriendly; it merely
    expects users to be computer-friendly.

  3. Re: Lightning vs Thunderbird 2 64bit on Mandriva 2008.0

    none wrote:
    > Hello,
    >
    > I'm trying to install Lightning extension for Thunderbird but I've the
    > error message :
    > "Lightning" could not be installed because it is not compatible with
    > your Thunderbird build type (Linux_x86_64-gcc3). Please contact the
    > author of this item about the problem.
    >
    > I've tried many user-compiled xpi for amd64 but no one works...
    > I've also tried to compile myself the xpi
    > (http://blog.crox.net/archives/28-Lig...nux-amd64.html)
    > without success...
    >
    > I'm using Thunderbird 2.0.0.12 (20080306) on Mandriva 2008.0 (64 bits)
    > on a Toshiba Satellite P200 (Centrino Core 2 Duo).
    >
    > If someone has the solution...


    BTW, I assumed (falsely it seems) you had checked the Mandriva
    mirrors for Lightning.

    Mozilla-Thunderbird-Lightning 0.7 is available for x86_64, and
    it installed fine on my AMD 64-bit machine. Now, if you really
    want to do it the hard way, see previous instructions.

    Cheers!

    jim b.

    --
    UNIX is not user-unfriendly; it merely
    expects users to be computer-friendly.

  4. Re: Lightning vs Thunderbird 2 64bit on Mandriva 2008.0

    Jim Beard a écrit :
    > none wrote:
    >> Hello,
    >>
    >> I'm trying to install Lightning extension for Thunderbird but I've the
    >> error message :
    >> "Lightning" could not be installed because it is not
    >> compatible with
    >> your Thunderbird build type (Linux_x86_64-gcc3). Please contact the
    >> author of this item about the problem.
    >>
    >> I've tried many user-compiled xpi for amd64 but no one works...
    >> I've also tried to compile myself the xpi
    >> (http://blog.crox.net/archives/28-Lig...nux-amd64.html)
    >> without success...
    >>
    >> I'm using Thunderbird 2.0.0.12 (20080306) on Mandriva 2008.0 (64 bits)
    >> on a Toshiba Satellite P200 (Centrino Core 2 Duo).
    >>
    >> If someone has the solution...

    >
    > BTW, I assumed (falsely it seems) you had checked the Mandriva
    > mirrors for Lightning.
    >
    > Mozilla-Thunderbird-Lightning 0.7 is available for x86_64, and
    > it installed fine on my AMD 64-bit machine. Now, if you really
    > want to do it the hard way, see previous instructions.
    >
    > Cheers!
    >
    > jim b.
    >


    You're right!!!
    I don't know why I didn't find it first time... :-|

    Thanks Jim! :-)

+ Reply to Thread